aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xscripts/require.sh2
-rwxr-xr-xscripts/update.sh6
2 files changed, 7 insertions, 1 deletions
diff --git a/scripts/require.sh b/scripts/require.sh
index c48ab936..63c38132 100755
--- a/scripts/require.sh
+++ b/scripts/require.sh
@@ -1,6 +1,6 @@
1#! /usr/bin/env bash 1#! /usr/bin/env bash
2# File used to check dependencies
3 2
3# Check for composer
4if [ ! -f composer.phar ]; then 4if [ ! -f composer.phar ]; then
5 echo "composer.phar not found, we'll see if composer is installed globally." 5 echo "composer.phar not found, we'll see if composer is installed globally."
6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } 6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }
diff --git a/scripts/update.sh b/scripts/update.sh
index 3ef10439..edebe5c5 100755
--- a/scripts/update.sh
+++ b/scripts/update.sh
@@ -37,6 +37,12 @@ fi
37 37
38. "$REQUIRE_FILE" 38. "$REQUIRE_FILE"
39 39
40# Check for wallabag .git folder
41if [ ! -d .git ]; then
42 echo "Can not update because wallabag wasn't installed using git (see https://doc.wallabag.org/en/admin/upgrade.html#upgrade-on-a-shared-hosting). Aborting.";
43 exit 1;
44fi
45
40rm -rf var/cache/* 46rm -rf var/cache/*
41git fetch origin 47git fetch origin
42git fetch --tags 48git fetch --tags